(function() {
	'use strict';

	angular.module('uniflash').directive('ufAddOnTargetActions', AddOnTargetActions);

	function AddOnTargetActions() {
		var directive = {
			restrict: 'E',
			templateUrl: 'target_setup/addOnTargetActions.html',
			controller: AddOnTargetActionsController,
			controllerAs: 'vm',
			link: function(scope, element, attrs) {},
			scope:{}
		};

		return directive;
	}

	AddOnTargetActionsController.$inject = ['ufAddOnTargetSrv','ufTargetSetupSrv'];
	
	function AddOnTargetActionsController(ufAddOnTargetSrv,ufTargetSetupSrv) {
        var vm = this;
        vm.ufTargetSetupSrv = ufTargetSetupSrv;
		vm.ufAddOnTargetSrv = ufAddOnTargetSrv;
	}

})();
